<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: 3: Framework Object APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>3: Framework Object APIs<br/>
<small>
[<a class="el" href="group__PYTIOVX__API.html">PyTIOVX APIs</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1context_1_1Context.html">tiovx.context.Context</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1context_1_1Context.html" title="Context object (OpenVX equivalent = vx_context).">Context</a> object (OpenVX equivalent = vx_context).  <a href="classtiovx_1_1context_1_1Context.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1export__code_1_1ExportCode.html">tiovx.export_code.ExportCode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Export objects from context to C source code.  <a href="classtiovx_1_1export__code_1_1ExportCode.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1export__image_1_1ExportImage.html">tiovx.export_image.ExportImage</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Export objects from context to JPG image file.  <a href="classtiovx_1_1export__image_1_1ExportImage.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1graph_1_1Graph.html">tiovx.graph.Graph</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1graph_1_1Graph.html" title="Graph object (OpenVX equivalent = vx_graph).">Graph</a> object (OpenVX equivalent = vx_graph).  <a href="classtiovx_1_1graph_1_1Graph.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1node_1_1Node.html">tiovx.node.Node</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1node_1_1Node.html" title="Node object (OpenVX equivalent = vx_node).">Node</a> object (OpenVX equivalent = vx_node).  <a href="classtiovx_1_1node_1_1Node.html#_details">More...</a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
